Skip to main content
POST
Create sandbox snapshot

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

sandboxName
string
required

Name of the sandbox to snapshot

Body

application/json

Request body for creating a snapshot of a sandbox. Captures the current sandbox state.

name
string

Optional human-readable name for the snapshot

Example:

"before-migration"

Response

Snapshot created successfully

A point-in-time snapshot of a sandbox that can be used for forking into a new sandbox or application.

createdAt
string
required

When the snapshot was created

id
string
required

Unique snapshot identifier

Example:

"snap_abc123"

sandboxName
string
required

Name of the source sandbox

status
string
required

Status of the snapshot (pending, ready, failed)

Example:

"ready"

workspace
string
required

Workspace of the source sandbox

createdBy
string

Who created the snapshot

name
string

Optional human-readable name for the snapshot

Example:

"before-migration"

Last modified on July 14, 2026